Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.holders
Class BigIntegerHolder

    java.lang.Object
      javax.xml.rpc.holders.BigIntegerHolder

All Implemented Interfaces:
  Holder

public final class BigIntegerHolder
extends java.lang.Object
implements Holder

Holder for `BigInteger`s.

Version:
  1.0

Field Summary
`java.math.BigInteger` | `value` The `BigInteger` that is held.

Constructor Summary
`BigIntegerHolder()` Make a new `BigIntegerHolder` with a `null` value.
`BigIntegerHolder(java.math.BigInteger value)` Make a new `BigIntegerHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.math.BigInteger value

  The `BigInteger` that is held.

Constructor Detail

### BigIntegerHolder

    public BigIntegerHolder()

  Make a new `BigIntegerHolder` with a `null` value.

### BigIntegerHolder

    public BigIntegerHolder(java.math.BigInteger value)

  Make a new `BigIntegerHolder` with `value` as the value.

Parameters:
  `value` - the `BigInteger` to hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.